Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CORBA::WString_out Class Reference

WString_out. More...

`#include <CORBA_String.h>`

List of all members.

## Public Member Functions
| WString_out (CORBA::WChar *&p)
| Construction from a reference to a string.
| WString_out (CORBA::WString_var &p)
| Construction from a var.
| WString_out (TAO_WString_Manager &p)
| Construction from a TAO_WString_Manager.
| WString_out (const WString_out &s)
| Copy constructor.
WString_out & | operator= (const WString_out &s)
| Assignment from a string_out.
WString_out & | operator= (CORBA::WChar *p)
| Assignment from a string.
WString_out & | operator= (const CORBA::WChar *p)
| Assignment from a constant CORBA::WChar*.
| operator CORBA::WChar *& ()
| Cast.
CORBA::WChar *& | ptr (void)
| Return underlying instance.
## Private Member Functions
void | operator= (const CORBA::WString_var &)
## Private Attributes
CORBA::WChar *& | ptr_
| Instance.

## Detailed Description

WString_out.

To support the memory management for "out" parameter passing mode. ORBOS/97-05-15, Appendix C.2 defines a CORBA::WString_out class.

## Constructor & Destructor Documentation

ACE_INLINE CORBA::WString_out::WString_out | ( | CORBA::WChar *& | p | ) |

| Construction from a reference to a string.

ACE_INLINE CORBA::WString_out::WString_out | ( | CORBA::WString_var & | p | ) |

| Construction from a var.

CORBA::WString_out::WString_out | ( | TAO_WString_Manager & | p | ) |

| Construction from a TAO_WString_Manager.

ACE_INLINE CORBA::WString_out::WString_out | ( | const WString_out & | s | ) |

| Copy constructor.

## Member Function Documentation

ACE_INLINE CORBA::WString_out::operator CORBA::WChar *& | ( |  | ) |

| Cast.

void CORBA::WString_out::operator= | ( | const CORBA::WString_var & |  | ) | `[private]`

ACE_INLINE CORBA::WString_out & CORBA::WString_out::operator= | ( | const CORBA::WChar * | p | ) |

| Assignment from a constant CORBA::WChar*.

ACE_INLINE CORBA::WString_out & CORBA::WString_out::operator= | ( | CORBA::WChar * | p | ) |

| Assignment from a string.

ACE_INLINE CORBA::WString_out & CORBA::WString_out::operator= | ( | const WString_out & | s | ) |

| Assignment from a string_out.

ACE_INLINE CORBA::WChar *& CORBA::WString_out::ptr | ( | void |  | ) |

| Return underlying instance.

## Member Data Documentation

CORBA::WChar*& CORBA::WString_out::ptr_`[private]`

| Instance.

The documentation for this class was generated from the following files:

- CORBA_String.h
- CORBA_String.cpp
- CORBA_String.inl